<!--
  Generated template for the AnswerPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="appcolor">
    <ion-title>Answers</ion-title>
    <ion-buttons end>
      <button ion-button item-end icon-start (click)="openModal()">
        ADD ANSWER
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <ion-grid>
    <ion-row>
      <ion-card>
        <ion-row>
          <!-- <ion-col col-1 style="background:skyblue;"> -->
          <ion-col col-1 color="appcolor">
            <ion-row justify-content-center>
              <button small ion-button color="appcolor" (click)="upvote()">
                <ion-icon color="light" name="md-add"></ion-icon>
              </button>
            </ion-row>
            <ion-row justify-content-center>
              <p> {{question['votes']}} </p>
            </ion-row>
            <ion-row justify-content-center>
              <button small ion-button color="appcolor" (click)="downvote()">
                <ion-icon color="light" name="md-remove"></ion-icon>
              </button>
            </ion-row>


          </ion-col>
          <ion-col col-11 align-self-center>
            <h1>{{question['question']}}</h1>
          </ion-col>
        </ion-row>
      </ion-card>
    </ion-row>
  </ion-grid>
  <ion-item-divider></ion-item-divider>

  <ion-list *ngFor="let answer of question['answers']">
    <ion-list-header>
      {{answer['studentName']}}
    </ion-list-header>
    <ion-item text-wrap>
      {{answer['answer']}}
    </ion-item>
  </ion-list>
  <ion-item-divider></ion-item-divider>
</ion-content>